'use strict';

exports.__esModule = true;

var _transformParamsToString = require('./transformParamsToString');

var _transformParamsToString2 = _interopRequireDefault(_transformParamsToString);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createGraphqlQuery = function createGraphqlQuery(gate, name, params) {
    var query = arguments.length <= 3 || arguments[3] === undefined ? '{}' : arguments[3];
    return {
        gate: gate,
        payload: {
            type: 'query',
            name: name,
            params: (0, _transformParamsToString2.default)(params),
            query: query
        }
    };
};

exports.default = createGraphqlQuery;